vlib_adapter Struct Reference

Represenation of an adapter in the library. More...

`#include <vlib.h>`

## Data Fields

unsigned int | isInvalid:1
| Adapter invalid or not.
struct vlib_adapter_ident | ident
| Adapter identification.
HBA_HANDLE | handle
| Handle for this adapter.
struct block | ports
| List of ports.
struct vlib_event_queue | event_queue
| Event queue.
struct vlib_event_queue | free_event_list
| Free slots.

## Detailed Description

Represenation of an adapter in the library.

The documentation for this struct was generated from the following file:

- vlib.h